# std::extent< typename, _Uint > Struct Template Reference
[Type Traits]

extent More...

Inheritance diagram for std::extent< typename, _Uint >:

List of all members.

## Public Types

- typedef integral_constant
  < std::size_t, __v > type
- typedef std::size_t value_type

## Static Public Attributes

- static const std::size_t value

## Detailed Description

### template<typename, unsigned _Uint = 0>
struct std::extent< typename, _Uint >

extent

Definition at line 368 of file tr1_impl/type_traits.

The documentation for this struct was generated from the following file:

- tr1_impl/type_traits